## com.bbn.openmap.layer.test
Class TestLayer.Text

    java.lang.Object
      |
      +--com.bbn.openmap.layer.test.TestLayer.GraphicBase
            |
            +--com.bbn.openmap.layer.test.TestLayer.Text

Enclosing class:
  TestLayer

protected class TestLayer.Text
extends TestLayer.GraphicBase

Field Summary
`protected java.lang.String` `data`
`protected java.lang.String` `font`
`protected int` `just`

Fields inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`fillColor, height, isFilled, lineColor, llpts, nsegs, radius, rt, type, visible, width, xypts`

Constructor Summary
`TestLayer.Text()`

Method Summary
`javax.swing.JPanel` `getGUI()`

Methods inherited from class com.bbn.openmap.layer.test.TestLayer.GraphicBase
`getOKButton, makeColorBox, makeFillCheckBox, setLLCoordinate, setRender, setSegs, setType, setXYCoordinate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected java.lang.String data

### font

    protected java.lang.String font

### just

    protected int just

Constructor Detail

### TestLayer.Text

    public TestLayer.Text()

Method Detail

### getGUI

    public javax.swing.JPanel getGUI()

  Specified by:
    `getGUI` in class `TestLayer.GraphicBase`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details